
<div class="panel panel-default col-12 col-sm-12 col-md-12 col-lg-6 p-0">
	<div class="panel-heading" role="tab" id="headingSchedule">
		<p class="panel-title" data-toggle="collapse" data-parent="#accordion" data-target="#collapseSchedule" aria-expanded="true" aria-controls="collapseSchedule">Schedule</p>
	</div>
	<div id="collapseSchedule" class="panel-collapse collapse show" role="tabpanel" aria-labelledby="headingSchedule">
		<div class="panel-body">
			<div class="row escort-contact">
				<? if ( $this->work_times['available_24_7'] ): ?>
					<div class="col-4"><b><?= $this->t('working_time') ?></b></div>
					<div class="col-8"><b><?= __('wt_24_7_text') ?></b></div>
				<? elseif ( $this->work_times['working_times'] && ! $this->work_times['available_24_7'] ): ?>
					<? if ( $this->escort->getIsNowOpen() ): ?>
					<!-- <div class="col-12"><i class="ion-unlocked"></i> Available Now</div> -->
					<? else: ?>
					<!-- <div class="col-12"><i class="ion-locked"></i> Unavailable Now</div> -->
					<? endif; ?>
					
					<?php 
						ksort($this->work_times['working_times']); 
						foreach($this->work_times['working_times'] as $k => $wt): 
						$wt = (object) $wt;
						$curDay = ( $k == date('N') ) ? 'strong' : false;
						$_start = ( ($wt->from < 10) ? '0' . $wt->from : $wt->from ) . ':' . ( ($wt->from_m < 10) ? '0' . $wt->from_m : $wt->from_m );
						$_end = ( ($wt->to < 10) ? '0' . $wt->to : $wt->to ) . ':' . ( ($wt->to_m < 10) ? '0' . $wt->to_m : $wt->to_m );
						$curTime = ( $curDay ) ? inInterval( $_start, $_end ) : false; $_end;
						
					?>

						<div class="col-4 <?=( $curDay ) ? 'green strong' : ''?>" ><?= $this->getWeekDay($k, $this->lang()); ?>:</div>
						<div class="col-8 <?=( $curTime ) ? 'strong' : ''?> ">
							<?= $_start ?> - <?= $_end ?>
						</div>
					
					<? endforeach;?>
				</tbody>
				<? endif; ?>	

				<?php
				    function inInterval( $start, $end ){
				        $start_date = new DateTime('today ' . $start );
				        $end_date = new DateTime('today ' . $end );
				        $now = new DateTime();

				        if ( $start_date <= $now && $now < $end_date ) {
				            return true;
				        } else {
				            return false;
				        }
				    }
				?>
			</div>
		</div>
	</div>
</div>
